Skip to content

Delete User ​

To hard delete a user, make a DELETE request as described below. This cannot be undone. The user record must have already be removed. The user record will be completely removed from the target and their authorization record released. The user making this request requires the ADMIN permissions.

Parameters ​

name * are required parameterdata typedescription
targetPath*stringthe path to the organization or tenant where the user record 'lives'
userId*string

Return Value ​

On success, the API will return the following response with code 201.

json
{
  "data": null,
  "message": "Successfully deleted the users",
},

Examples ​

bash
curl -X DELETE -H "Authorization: ZmFrZQ==" https://app.wombat.software/api/{targetPath}/user/{userId}/delete

ENDPOINTS

delete/api/{targetPath}/user/{userId}/delete